Summary: A printed circuit board design tool for X.
Name: pcb
Version: 1.6.3
Release: 10
Group: Applications/Engineering
Copyright: GPL
Source: ftp://ftp.uni-ulm.de/pub/pcb/mirror/pcb-1.6.3.tgz
Patch0: pcb-1.6.3-glibc21.patch
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root

%description
Pcb is an X Window System application for designing printed circuit
boards.  Pcb supports multiple layers and circuit libraries and can
support a resolution of 0.001 inch.

%prep
%setup -q
%patch0 -p1 -b .glibc21

%build
xmkmf -a
(cd doc; make)
(cd src; make Pcb.ad)
make -i

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT
make install.info DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_infodir}

cp $RPM_BUILD_ROOT/usr/info/* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/pcb.info.gz %{_infodir}/dir --entry="* pcb: (pcb).          A printed circuit board design tool."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/pcb.info.gz %{_infodir}/dir --entry="* pcb: (pcb).          A printed circuit board design tool."
fi

%files
%defattr(-,root,root)
%doc README_FILES/* doc doc.ps example
/usr/X11R6/bin/pcb
/usr/X11R6/lib/X11/app-defaults/Pcb
/usr/X11R6/lib/X11/pcb
/usr/X11R6/man/*/*
%{_infodir}/*.info*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- fixed infopage location to be FHS comliant

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Wed Dec 15 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Tue Jul 20 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 29 1999 Jeff Johnson <jbj@redhat.com>
- rebuilt for 6.0.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Tue May 26 1998 Michael Maher <mike@redhat.com>
- built package
